


 void dataplotoneDD2()
  {

  ifstream f1;
  ifstream f2;
  ifstream f3;
  double Evt, q0, Pvis, Q2, q3;
  f1.open ("DUNECCQEnew.dat");
  f2.open ("DUNECCQERPAnew.dat");
  f3.open ("DUNECC2p2hnew.dat");
  TCanvas *c1 = new TCanvas ("c1", "c1",0,0,1000,800);
  gStyle->SetOptStat(0);
  gStyle->SetOptTitle(0);

   Double_t W  = 0.3;          // Pad Width
   Int_t    Nx = 3;            // Number of pads along X
   Double_t Xm = (1-(Nx*W))/2; // X Margin
   Double_t dw = (W*0.1)/4;

  
   TPad *p1 = new TPad("p1", "p1", Xm, 0.2, Xm+W+dw, 0.8, 0, 3, 0);
   p1->SetRightMargin(0);
   p1->Draw();

  /* p1->cd();
   TPad *p12 = new TPad("p12", "p12", Xm, 0.2, Xm+W+dw, 0.8, 0, 3, 0);
   p12->SetRightMargin(0);
   p12->SetTopMargin(0);
   p12->Draw();*/

 //  c1->cd(2);
   TPad *p2 = new TPad("p2", "p2", Xm+W+dw, 0.2, Xm+2*W-dw, 0.8, 0, 3, 0);
   p2->SetRightMargin(0);
   p2->SetLeftMargin(0);
   p2->Draw();

 //  c1->cd(3);
   TPad *p3 = new TPad("p3", "p3", Xm+2*W-dw, 0.2, Xm+3*W, 0.8, 0, 3, 0);  
   p3->SetLeftMargin(0);
   p3->Draw();

/*  //  c1->cd(4);
   TPad *p4 = new TPad("p4", "p4", Xm, 0.2, Xm+W+dw, 0.8, 0, 3, 0);
   p4->SetRightMargin(0);
   p4->SetFrameBorderMode(0);
   p4->SetBorderSize(1);
  // p1->SetTitle
   p4->Draw();

//   c1->cd(5);
   TPad *p5 = new TPad("p5", "p5", Xm+W+dw, 0.2, Xm+2*W-dw, 0.8, 0, 3, 0);
   p5->SetRightMargin(0);
   p5->SetLeftMargin(0);
   p5->Draw();

 //  c1->cd(6);
   TPad *p6 = new TPad("p6", "p6", Xm+2*W-dw, 0.2, Xm+3*W, 0.8, 0, 3, 0);  
   p6->SetLeftMargin(0);
   p6->Draw();*/
 
  TH1F *h1 = new TH1F("h1", "0 < q_{3}/GeV <0.2", 25,0.0,.5);  // here p1 u hv already used as variable so can nt use it as histogram name 
  TH1F *h2 = new TH1F("h2", "0.2 < q_{3}/GeV <0.3", 25,0.0,.5);
  TH1F *h3 = new TH1F("h3", "0.3 < q_{3}/GeV <0.4", 25,0.0,.5);  // here p1 u hv already used as variable so can nt use it as histogram name 
  TH1F *h4 = new TH1F("h4", "0.4 < q_{3}/GeV <0.5", 25,0.0,.5);
  TH1F *h5 = new TH1F("h5", "0.5 < q_{3}/GeV <0.6", 25,0.0,.5);  // here p1 u hv already used as variable so can nt use it as histogram name 
  TH1F *h6 = new TH1F("h6", "0.6 < q_{3}/GeV <0.8", 25,0.0,.5);
  TH1F *h11 = new TH1F("h11", "0 < q_{3}/GeV <0.2", 25,0.0,.5);  // here p1 u hv already used as variable so can nt use it as histogram name 
  TH1F *h22 = new TH1F("h22", "0.2 < q_{3}/GeV <0.3", 25,0.0,.5);
  TH1F *h33 = new TH1F("h33", "0.3 < q_{3}/GeV <0.4", 25,0.0,.5);  // here p1 u hv already used as variable so can nt use it as histogram name 
  TH1F *h44 = new TH1F("h44", "0.4 < q_{3}/GeV <0.5", 25,0.0,.5);
  TH1F *h55 = new TH1F("h55", "0.5 < q_{3}/GeV <0.6", 25,0.0,.5);  // here p1 u hv already used as variable so can nt use it as histogram name 
  TH1F *h66 = new TH1F("h66", "0.6 < q_{3}/GeV <0.8", 25,0.0,.5);
  TH1F *h11a = new TH1F("h11a", "", 25,0.0,.5);  // here p1 u hv already used as variable so can nt use it as histogram name 
  TH1F *h22a = new TH1F("h22a", "", 25,0.0,.5);
  TH1F *h33a = new TH1F("h33a", "", 25,0.0,.5);  // here p1 u hv already used as variable so can nt use it as histogram name 
  TH1F *h44a = new TH1F("h44a", "", 25,0.0,.5);
  TH1F *h55a = new TH1F("h55a", "", 25,0.0,.5);  // here p1 u hv already used as variable so can nt use it as histogram name 
  TH1F *h66a = new TH1F("h66a", "", 25,0.0,.5);
 
  // c1->Divide(3,2);
 
  while(!f1.eof())
       {
        f1>>Evt>>q0>>Pvis>>Q2>>q3;
       if(q3>0.0 && q3<0.2) {h1->Fill(q0);}
       if(q3>0.2 && q3<0.3) {h2->Fill(q0);}
       if(q3>0.3 && q3<0.4) {h3->Fill(q0);}
       if(q3>0.4 && q3<0.5) {h4->Fill(q0);}
       if(q3>0.5 && q3<0.6) {h5->Fill(q0);}
       if(q3>0.6 && q3<0.8) {h6->Fill(q0);}
        
     
       }
       
      while(!f2.eof())
       {
        f2>>Evt>>q0>>Pvis>>Q2>>q3;
       if(q3>0.0 && q3<0.2) {h11->Fill(q0);}
       if(q3>0.2 && q3<0.3) {h22->Fill(q0);}
       if(q3>0.3 && q3<0.4) {h33->Fill(q0);}
       if(q3>0.4 && q3<0.5) {h44->Fill(q0);}
       if(q3>0.5 && q3<0.6) {h55->Fill(q0);}
       if(q3>0.6 && q3<0.8) {h66->Fill(q0);}
       
        
       } 
       
       while(!f3.eof())
       {
        f3>>Evt>>q0>>Pvis>>Q2>>q3;
       if(q3>0.0 && q3<0.2) {h11a->Fill(q0);}
       if(q3>0.2 && q3<0.3) {h22a->Fill(q0);}
       if(q3>0.3 && q3<0.4) {h33a->Fill(q0);}
       if(q3>0.4 && q3<0.5) {h44a->Fill(q0);}
       if(q3>0.5 && q3<0.6) {h55a->Fill(q0);}
       if(q3>0.6 && q3<0.8) {h66a->Fill(q0);}
      
       }  
     

      gStyle->SetOptStat(0);
      // c1->cd(1); 
      h1->Scale(1/8.665e25); 
      h11->Scale(1/8.665e25); 
      h11a->Scale(1/8.665e25);
      h1->GetXaxis()->SetTitle("Reconstructed available energy(GeV)");
      h11->GetYaxis()->SetTitle("d^{2}#sigma/dE_{avail}dq_{3}(10^{-42}cm^{2}/GeV^{2})");
      h1->GetYaxis()->CenterTitle(); 
      h1->GetYaxis()->SetTitleOffset(1.0);
      h1->GetXaxis()->CenterTitle();
      h1->SetLineWidth(1); 
      h11->SetLineWidth(1); 
      h11->SetLineColor(3); 
      h11a->SetLineColor(2);
      h1->SetMarkerStyle(21);
      h1->GetXaxis()->SetTitleSize(0.04);
      h1->GetYaxis()->SetTitleSize(0.04);
      h1->SetMaximum(0.5e-21);
       
      TH1F *h1c = (TH1F*) h1->Clone();
      h11->Add(h1c);
      h11a->Add(h11);
      h11->GetYaxis()->SetRangeUser(0.0,0.5e-21);
          
     
       
       //   c1->cd(2); 
          h2->Scale(1/8.665e25);   // Here we have devide the events by No of Target* Ave Flux
          h22->Scale(1/8.665e25); 
          h22a->Scale(1/8.665e25); 
          h2->GetXaxis()->SetTitle("Reconstructed available energy(GeV)");
          h2->GetYaxis()->SetTitle("Events");
          h2->GetYaxis()->CenterTitle(); 
          h2->GetYaxis()->SetTitleOffset(1.0);
          h2->GetXaxis()->CenterTitle();
          h2->SetLineWidth(1); 
           h22->SetLineWidth(1); 
          h22->SetLineColor(3); 
          h22a->SetLineColor(2);
        //  h1->SetMarkerStyle(21);
          h2->GetXaxis()->SetTitleSize(0.04);
          h2->GetYaxis()->SetTitleSize(0.04);
          h2->SetMaximum(0.5e-21);         

        TH1F *h2c = (TH1F*) h2->Clone();
          h22->Add(h2c);
          h22a->Add(h22);
      //    h22->Draw();
      //    h2->Draw("same");
      //    h22a->Draw("same");
         h22->GetYaxis()->SetRangeUser(0.0,0.5e-21);
     
      
        
        //   c1->cd(3); 
                      h3->Scale(1/8.665e25); 
                      h33->Scale(1/8.665e25);
                      h33a->Scale(1/8.665e25); 
          h3->GetXaxis()->SetTitle("Reconstructed available energy(GeV)");
          h3->GetYaxis()->SetTitle("Events");
          h3->GetYaxis()->CenterTitle(); 
          h3->GetYaxis()->SetTitleOffset(1.0);
          h3->GetXaxis()->CenterTitle();
          h3->SetLineWidth(1); 
           h33->SetLineWidth(1); 
          h33->SetLineColor(3); 
          h33a->SetLineColor(2);
        //  h1->SetMarkerStyle(21);
          h3->GetXaxis()->SetTitleSize(0.04);
          h3->GetYaxis()->SetTitleSize(0.04);
          h3->SetMaximum(0.5e-21);
         
           TH1F *h3c = (TH1F*) h3->Clone();
          h33->Add(h3c);
          h33a->Add(h33);
        //  h33->Draw();
        //  h3->Draw("same");
        //  h33a->Draw("same");
          h33->GetYaxis()->SetRangeUser(0.0,0.5e-21);
      
       
      
        p1->cd(); h11->Draw();  h1->Draw("same");  h11a->Draw("same");
        leg = new TLegend(0.9,0.7,0.48,0.9);
        leg->SetHeader("GENIE-2.12.6");
        leg->AddEntry(h1,"Default","l");
        leg->AddEntry(h11,"+RPA","l");
        leg->AddEntry(h11a,"+RPA+2p2h","l");
        leg->Draw();
        TLatex *t1 = new TLatex(0.3,0.48e-21,"0 < q_{3}/GeV <0.2");
        t1->SetTextAlign(22);
        t1->SetTextSize(0.05);
        t1->Draw();
        p1->Update();

       // p12->cd(); h44->Draw();  h4->Draw("same");  h44a->Draw("same");
        
        p2->cd(); h22->Draw();  h2->Draw("same");  h22a->Draw("same");
        TLatex *t2 = new TLatex(0.3,0.48e-21,"0.2 < q_{3}/GeV <0.3");
        t2->SetTextAlign(22);
        t2->SetTextSize(0.05);
        t2->Draw();
        p2->Update();

        p3->cd(); h33->Draw();  h3->Draw("same");  h33a->Draw("same");
        TLatex *t3 = new TLatex(0.3,0.48e-21,"0.3 < q_{3}/GeV <0.4");
        t3->SetTextAlign(22);
        t3->SetTextSize(0.05);
        t3->Draw();
        p3->Update();
        

       /* p4->cd(); h1->Draw(); 
        p5->cd(); h2->Draw(); 
        p6->cd(); h3->Draw(); */
       
    
        f1.close();
        f2.close();
        f3.close();

  }
    
